diff debian/preinst @ 301:3b5b7f3fd71f noffle

[svn] initial debian/ upload
author godisch
date Fri, 14 Feb 2003 13:54:32 +0000
parents
children 85bf9f705e70
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/preinst	Fri Feb 14 13:54:32 2003 +0000
@@ -0,0 +1,26 @@
+#!/bin/sh
+# $Id: preinst 434 2003-02-14 13:54:32Z godisch $
+
+set -e
+
+case "$1" in
+install|upgrade)
+	# this directory may still exist because of old lock files,
+	# make sure the symlink can be installed
+	if [ -d /var/spool/noffle/lock ]; then
+		if [ -d /var/lock/noffle ]; then
+			rm -rf /var/spool/noffle/lock || :
+		else
+			mv /var/spool/noffle/lock /var/lock/noffle || :
+		fi
+	fi
+	;;
+abort-upgrade)
+	;;
+*)
+	echo "preinst called with unknown argument '$1'" >&2
+	exit 1
+	;;
+esac
+
+exit 0